Subject: Re: bug#71554: 29.3; eshell-command async buffer behavior

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 05 Jul 2024 04:09:43 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Sun, 23 Jun 2024 22:36:47 -0700
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>>  [email-masked]
>> From: Jim Porter <[email-masked]>
>> 
>> Eli, what do you think about merging this into the Emacs 30 branch? I 
>> have no strong preference myself, but I think it's small enough that it 
>> should be safe, and it fixes an annoyance with Eshell today. (I can also 
>> write a regression test or two if that would help matters.)
>
> Why do we have to make this change in Emacs 30?  AFAIU, it isn't a
> bug, just inconsistency between shell-mode and Eshell, and we have
> lived with it for quite some time.  Right?

We have lived with this because the eshell-command async behavior was
broken from 2005 to 2021. Now it is repaired the need of beeing able to
run several processes raise.

> I'd like to have as short a pretest for Emacs 30.1 as possible, and
> that means no changes we don't absolutely have to make.  Please
> consider the necessity of this change from that POV.

Now we have a emacs-31 branch, perhaps this can be installed there?

-- 
Thierry